安装问题

安装报错 · lorry01 · 于 1年前 发布 · 616 次阅读
$ composer -vvv create-project fancyecommerce/fecshop-app-advanced  fecshop 1.2.2.4
Loading config file /Users/Lorry/.composer/config.json
Loading config file /Users/Lorry/.composer/auth.json
Reading /Users/Lorry/.composer/composer.json
Loading config file /Users/Lorry/.composer/config.json
Loading config file /Users/Lorry/.composer/auth.json
Loading config file /Users/Lorry/.composer/composer.json
Loading config file /Users/Lorry/.composer/auth.json
Reading /Users/Lorry/.composer/auth.json
Checked CA file /private/etc/ssl/cert.pem: valid
Executing command (/Users/Lorry/.composer): git branch --no-color --no-abbrev -v
Executing command (/Users/Lorry/.composer): git describe --exact-match --tags
Executing command (/Users/Lorry/.composer): git log --pretty="%H" -n1 HEAD
Executing command (/Users/Lorry/.composer): hg branch
Executing command (/Users/Lorry/.composer): fossil branch list
Executing command (/Users/Lorry/.composer): fossil tag list
Executing command (/Users/Lorry/.composer): svn info --xml
Reading /Users/Lorry/.composer/vendor/composer/installed.json
Loading plugin Fxp\Composer\AssetPlugin\FxpAssetPlugin
Running 1.5.6 (2017-12-18 12:09:18) with PHP 5.5.30 on Darwin / 17.3.0
Downloading https://packagist.phpcomposer.com/packages.json
Writing /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/packages.json into cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2013.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2014.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2015.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2016.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017-04.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017-07.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017-10.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-archived.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-latest.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-fancyecommerce$fecshop-app-advanced.json from cache
Installing fancyecommerce/fecshop-app-advanced (1.2.2.4)
  - Installing fancyecommerce/fecshop-app-advanced (1.2.2.4): Reading /Users/Lorry/.composer/cache/files/fancyecommerce/fecshop-app-advanced/30b1bdebd15966278c958ccdf1392926b591c49f.zip from cache
Loading from cache
 Extracting archiveExecuting command (CWD): unzip -qq  'fecshop//0f806ea0f773b31024c1bbcbed38ce0c.zip' -d '/Users/Lorry/www/vendor/composer/739d84fa'
Created project in fecshop
Reading ./composer.json
Loading config file /Users/Lorry/.composer/config.json
Loading config file /Users/Lorry/.composer/auth.json
Loading config file ./composer.json
Reading /Users/Lorry/.composer/composer.json
Loading config file /Users/Lorry/.composer/config.json
Loading config file /Users/Lorry/.composer/auth.json
Loading config file /Users/Lorry/.composer/composer.json
Loading config file /Users/Lorry/.composer/auth.json
Reading /Users/Lorry/.composer/auth.json
Reading /Users/Lorry/.composer/vendor/composer/installed.json
Loading plugin Fxp\Composer\AssetPlugin\FxpAssetPlugin_composer_tmp0
Loading composer repositories with package information
Downloading https://packagist.phpcomposer.com/packages.json
Writing /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/packages.json into cache
Updating dependencies (including require-dev)
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2013.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2014.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2015.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2016.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017-04.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017-07.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-2017-10.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-archived.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/p-provider-latest.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-app-advanced.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-composer.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-ezyang$htmlpurifier.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-cebe$markdown.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Downloading https://registry.bower.io/packages/jquery
Downloading https://registry.bower.io/packages/jquery
Downloading https://registry.bower.io/packages/jquery
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.inputmask.json from cache
Downloading https://registry.bower.io/packages/jquery.inputmask
Downloading https://registry.bower.io/packages/jquery.inputmask
Downloading https://registry.bower.io/packages/jquery.inputmask
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$punycode.json from cache
Downloading https://registry.bower.io/packages/punycode
Downloading https://registry.bower.io/packages/punycode
Downloading https://registry.bower.io/packages/punycode
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$yii2-pjax.json from cache
Downloading https://registry.bower.io/packages/yii2-pjax
Downloading https://registry.bower.io/packages/yii2-pjax
Downloading https://registry.bower.io/packages/yii2-pjax
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$inputmask.json from cache
Downloading https://registry.bower.io/packages/inputmask
Downloading https://registry.bower.io/packages/inputmask
Downloading https://registry.bower.io/packages/inputmask
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-bootstrap.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$bootstrap.json from cache
Downloading https://registry.bower.io/packages/bootstrap
Downloading https://registry.bower.io/packages/bootstrap
Downloading https://registry.bower.io/packages/bootstrap
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-swiftmailer.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-swiftmailer$swiftmailer.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-egulias$email-validator.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-doctrine$lexer.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-apidoc.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-phpdocumentor$reflection.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-phpdocumentor$reflection-docblock.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-nikic$php-parser.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-cebe$js-search.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-cebe$markdown-latex.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-psr$log.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-phpdocumentor$reflection-common.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-phpdocumentor$type-resolver.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-webmozart$assert.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-mikevanriel$text-to-latex.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-dflydev$markdown.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-scrivo$highlight.php.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-fancyecommerce$fecshop.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-fancyecommerce$fec.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-fancyecommerce$fec-admin.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-mongodb.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-skeeks$yii2-assets-auto-compress.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-ramsey$uuid.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-facebook$graph-sdk.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-hightman$xunsearch.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-imagine$imagine.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-redis.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-phpoffice$phpexcel.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-tedivm$jshrink.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-natxet$cssmin.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-mrclay$minify.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-httpclient.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-moontoast$math.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-symfony$console.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-paragonie$random-compat.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-intervention$httpauth.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-monolog$monolog.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-mrclay$jsmin-php.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-mrclay$props-dic.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-tubalmartin$cssmin.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-symfony$debug.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-symfony$polyfill-mbstring.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-container-interop$container-interop.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-pimple$pimple.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-psr$container.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-codeception.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-debug.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-gii.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-phpspec$php-diff.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$typeahead.js.json from cache
Downloading https://registry.bower.io/packages/typeahead.js
Downloading https://registry.bower.io/packages/typeahead.js
Downloading https://registry.bower.io/packages/typeahead.js
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-yiisoft$yii2-faker.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-fzaninotto$faker.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-rhumsaa$uuid.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-symfony$http-kernel.json from cache
Resolving dependencies through SAT
Dependency resolution completed in 0.001 seconds
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Reading /Users/Lorry/.composer/cache/repo/https---packagist.phpcomposer.com/provider-bower-asset$jquery.json from cache
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - yiisoft/yii2 2.0.9 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.8 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.7 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.6 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.13.1 requires bower-asset/jquery 3.2.*@stable | 3.1.*@stable | 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.13 requires bower-asset/jquery 3.2.*@stable | 3.1.*@stable | 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.12 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.11.2 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.11.1 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.11 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.10 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable | 1.12.*@stable -> no matching package found.
    - Installation request for yiisoft/yii2 >=2.0.6 -> satisfiable by yiisoft/yii2[2.0.10, 2.0.11, 2.0.11.1, 2.0.11.2, 2.0.12, 2.0.13, 2.0.13.1, 2.0.6, 2.0.7, 2.0.8, 2.0.9].

Potential causes:
 - A typo in the package name
 - The package is not available in a stable-enough version according to your minimum-stability setting
   see <https://getcomposer.org/doc/04-schema.md#minimum-stability> for more details.
 - It's a private package and you forgot to add a custom repository to find it

Read <https://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.

严格按照教程 fxp/composer-asset-plugin已经装了最新的了1.4.2 composr : 1.5.6 系统:mac os x high sierra
PHP : 5.5.30

共收到 4 条回复 问题提问
Fecshop#11年前 0 个赞

出现问题先搜索,是否有解决的帖子:

参考:

http://www.fecshop.com/topic/412

http://www.fecshop.com/topic/58

lorry01#21年前 0 个赞

@Terry #1楼 额。。。, 以上两篇发贴前都看过了,token没问题,缺少JQuery与上面的问题不完全一样, 而且,所说的方法我都试了,没效果。 后对比yii2最新的版本composer.json 在composer.json 添加了

"repositories": [
        {
            "type": "composer",
            "url": "https://asset-packagist.org"
        }
    ]

安装成功

Fecshop#31年前 1 个赞

@lorry01 #2楼 好的,fecshop下一个版本将使用Yii2 2.0.13版本。 同时兼容php7.2

Fecshop#48天前 0 个赞

参看下这个帖子的解决方案:http://www.fecshop.com/topic/1825

添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册
Your Site Analytics